<?php

namespace App\Http\Controllers\AccountManager;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Session as FacadesSession;

class AccountManagerAuthController extends Controller
{

    // Authentication form view
    public function index()
    {
        return view('accountmanager.auth.login');
    }

    // Custom login form for Accountmanager
    public function customLogin(Request $request)
    {
        $request->validate([
            'email' => 'required',
            'password' => 'required',
        ]);

        // Generate Log On Accountmanager Login
        $credentials = $request->only('email', 'password');
        if (Auth::guard('account_manager')->attempt($credentials)) {

            return redirect()->intended('accountmanager\dashboard')
                ->with('message', __('site.login_successfully'));
        }
        return redirect()->route('accountmanager')->with('message', __('site.record_not_found'));
    }

    // Registration form view for Accountmanager
    public function registration()
    {
        
    }

    // Custom registration form for Accountmanager
    public function customRegistration(Request $request)
    {
       
    }

    // Create Accountmanager
    public function create(array $data)
    {
     
    }

    // Return view after authentication for Accountmanager
    public function dashboard()
    {
        
        if(Auth::check()){
            return view('dashboard');
        }

        return redirect("login")->withSuccess('You are not allowed to access');
    }

    // signout Accountmanager
    public function signOut() {

        // Generate Log On Admin Logout

    FacadesSession::flush();
    Auth::guard('account_manager')->logout();

    return Redirect('accountmanager');
    }
}



