<?php

namespace App\Http\Controllers\Client;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Session as FacadesSession;

class ClientAuthController extends Controller
{
    // Authentication form view
    public function index()
    {
        return view('client.auth.login');
    }
 
    // Custom login form for Client
    public function customLogin(Request $request)
    {
        $request->validate([
            'email' => 'required',
            'password' => 'required',
        ]);
 
        // Generate Log On Client Login
        $credentials = $request->only('email', 'password');
        if (Auth::guard('client')->attempt($credentials)) {

            return redirect()->intended('client\dashboard')
                ->with('message', __('site.login_successfully'));
        }
        return redirect()->route('client')->with('message', __('site.record_not_found'));
    }
 
    // Registration form view
    public function registration()
    {
        
    }
 
    // Custom registration form
    public function customRegistration(Request $request)
    {
       
    }
 
    // Create Client
    public function create(array $data)
    {
     
    }
 
    // Return view after authentication
    public function dashboard()
    {
        
        if(Auth::check()){
            return view('dashboard');
        }
 
        return redirect("login")->withSuccess('You are not allowed to access');
    }
 
    // Client signout
    public function signOut() {

        // Generate Log On Admin Logout

    FacadesSession::flush();
    Auth::guard('client')->logout();

    return Redirect('client');
    }
}
