<?php

namespace App\Http\Controllers\DemoAccount;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Session as FacadesSession;

class DemoAccountAuthController extends Controller
{
       // Authentication form view
       public function index()
       {
           return view('demoaccount.auth.login');
       }

       // Custom login form for DemoAccount
       public function customLogin(Request $request)
       {
           $request->validate([
               'email' => 'required',
               'password' => 'required',
           ]);
                  // Generate Log On DemoAccount Login
           $credentials = $request->only('email', 'password');
           if (Auth::guard('demo_account')->attempt($credentials)) {

                      return redirect()->intended('demoaccount\dashboard')
                   ->with('message', __('site.login_successfully'));
           }
           return redirect()->route('demoaccount')->with('message', __('site.record_not_found'));
       }

       // Registration form view
       public function registration()
       {

       }
       
       // Custom registration form
       public function customRegistration(Request $request)
       {

       }

       // Create DemoAccount
       public function create(array $data)
       {
       
       }

       // Return view after authentication
       public function dashboard()
       {

           if(Auth::check()){
               return view('dashboard');
           }
                  return redirect("login")->withSuccess('You are not allowed to access');
       }

       // DemoAccount signout
       public function signOut() {

        // Generate Log On DemoAccount Logout

    FacadesSession::flush();
    Auth::guard('demo_account')->logout();

    return Redirect('demoaccount');
    }
}
