<?php

namespace App\Http\Controllers\SubAccount;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Session as FacadesSession;

class SubAccountAuthController extends Controller
{
    // Authentication form view
    public function index()
    {
        return view('subaccount.auth.login');
    }
   
    // Custom login form for SubAccount
    public function customLogin(Request $request)
    {
        $request->validate([
            'email' => 'required',
            'password' => 'required',
        ]);
   
        // Generate Log On SubAccount Login
        $credentials = $request->only('email', 'password');
        if (Auth::guard('sub_account')->attempt($credentials)) {
   
         
   
            return redirect()->intended('subaccount\dashboard')
                ->with('message', __('site.login_successfully'));
        }
        return redirect()->route('subaccount')->with('message', __('site.record_not_found'));
    }
   
    // Registration form view
    public function registration()
    {
        
    }
   
    // Custom registration form
    public function customRegistration(Request $request)
    {
       
    }
   
    // Create SubAccount
    public function create(array $data)
    {
     
    }
   
    // Return view after authentication
    public function dashboard()
    {
        
        if(Auth::check()){
            return view('dashboard');
        }
   
        return redirect("login")->withSuccess('You are not allowed to access');
    }
   
    // SubAccount signout
    public function signOut() {

        // Generate Log On Admin Logout

    FacadesSession::flush();
    Auth::guard('sub_account')->logout();

    return Redirect('subaccount');
    }
}
