<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Contact extends Model
{
    use HasFactory, SoftDeletes;
    protected $table = 'contacts';
    protected $fillable = [
        'role_id',
        'created_by',
        'first_name',
        'last_name',
        'email',
        'mobile',
        'group_id',
        'account_manager_id',
        'client_id',
        'sub_account_id',
        'is_blocked',
    ];


    public function group(){
    	return $this->belongsTo(Group::class);
    }


    public function client(){
    	return $this->belongsTo(Client::class);
    }


    public function account_manager(){
    	return $this->belongsTo(AccountManager::class);
    }

    public function sub_account(){
    	return $this->belongsTo(SubAccount::class);
    }

}
