<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Group extends Model
{
    use HasFactory, SoftDeletes;
    protected $table = 'groups';
    protected $fillable = [
        'name',
        'account_manager_id',
        'client_id',
        'sub_account_id',
        'role_id',
        'created_by',
    ];


    public function created_by(){
    	return $this->belongsTo(Admin::class, 'created_by',  'id');
    }


    public function account_manager(){
    	return $this->belongsTo(AccountManager::class);
    }


    public function client(){
    	return $this->belongsTo(Client::class);
    }


    public function sub_account(){
    	return $this->belongsTo(SubAccount::class);
    }


    public function role(){
    	return $this->belongsTo(Role::class);
    }



}
