<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Masking extends Model
{
    use HasFactory, SoftDeletes;
    protected $table = 'masking';
    protected $fillable = [
        'masking',
        'account_manager_id',
        'client_id',
        'is_active',
    ];


    public function account_manager(){
    	return $this->belongsTo(AccountManager::class);
    }


    public function client(){
    	return $this->belongsTo(Client::class);
    }

}
