<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateMaskingTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('masking', function (Blueprint $table) {
            $table->id();
            $table->string('masking');
            $table->string('is_active')->comment('0=deactivate, 1=activate');
            $table->bigInteger('account_manager_id')->unsigned();
            $table->foreign('account_manager_id')->references('id')->on('account_managers')->onDelete('cascade');
            $table->bigInteger('client_id')->unsigned();
            $table->foreign('client_id')->references('id')->on('clients')->onDelete('cascade');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('masking');
    }
}
