<?php
$title = (__('site.add_record_to_pipeline'));
?>
@include('includes.portal.account_manager_header')
@include('includes.portal.account_manager_sidebar')
<!--**********************************
            Content body start
            ***********************************-->
<div class="content-body">
  <!-- row -->
  <!-- row -->
  <div class="container-fluid">
    <div class="row">
      <div class="col-xl-12 col-xxl-12 col-sm-12">
        <div class="card">
          <div class="card-header">
            <h4 class="card-title">{{__('site.add_record_to_pipeline')}}</h4>
          </div>
          <div class="card-body">
            <div class="basic-form">
              <form class="validate_form" action="{{ route('accountmanager.pipeline.create') }}" method="POST">
                @csrf
                <div class="form-row">
                  <div class="form-group col-md-6">
                    <label>{{__('site.first_name')}}</label>
                    <input type="text" class="form-control" id="first_name" name="first_name" placeholder="{{__('site.first_name')}}" required>
                    @if ($errors->has('first_name'))
                    <span class="text-danger">{{ $errors->first('first_name') }}</span>
                    @endif
                  </div>
                  <div class="form-group col-md-6">
                    <label>{{__('site.last_name')}}</label>
                    <input type="text" class="form-control" id="last_name" name="last_name" placeholder="{{__('site.last_name')}}" required>
                    @if ($errors->has('last_name'))
                    <span class="text-danger">{{ $errors->first('last_name') }}</span>
                    @endif
                  </div>
                  <div class="form-group col-md-4">
                    <label>{{__('site.company_name')}}</label>
                    <input type="text" class="form-control" id="company_name" name="company_name" placeholder="{{__('site.company_name')}}" required>
                    @if ($errors->has('company_name'))
                    <span class="text-danger">{{ $errors->first('company_name') }}</span>
                    @endif
                  </div>
                  <div class="form-group col-md-4">
                    <label>{{__('site.email')}}</label>
                    <input type="text" class="form-control" id="email" name="email" placeholder="{{__('site.email')}}" required>
                    @if ($errors->has('email'))
                    <span class="text-danger">{{ $errors->first('email') }}</span>
                    @endif
                  </div>
                  <div class="form-group col-md-4">
                    <label>{{__('site.mobile_no')}}</label>
                    <input type="text" class="form-control" id="mobile" name="mobile" placeholder="{{__('site.mobile_no')}}">
                    @if ($errors->has('mobile'))
                    <span class="text-danger">{{ $errors->first('mobile') }}</span>
                    @endif
                  </div>
                  <div class="form-group col-md-12">
                    <label>{{__('site.description')}}</label>
                    <textarea class="form-control" id="description" name="description" placeholder="{{__('site.add_description_here')}}" rows="5" column="50"></textarea>
                  </div>
                  <div class="form-group col-md-6" hidden>
                    <label>{{__('site.created_by')}}</label>
                    <input type="text" id="created_by" name="created_by" class="form-control" placeholder="{{__('site.created_by')}}" value="{{ auth()->guard('account_manager')->user()->role_id }}" required>
                    @if ($errors->has('created_by'))
                    <span class="text-danger">{{ $errors->first('created_by') }}</span>
                    @endif
                  </div>
                </div>
                <button class="btn btn-primary btn-sl-sm mr-2" type="submit"><span class="mr-2"><i class="fa fa-arrow-circle-right"></i></span>{{__('site.submit')}}</button>
            </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

</div>
<!--**********************************
            Content body end
            ***********************************-->
@include('includes.portal.footer')