<?php
$title = (__('site.add_sub_account'));
?>
@include('includes.portal.account_manager_header')
@include('includes.portal.account_manager_sidebar')
<!--**********************************
            Content body start
            ***********************************-->
<div class="content-body">
  <!-- row -->
  <!-- row -->
  <div class="container-fluid">
    <div class="row">
      <div class="col-xl-12 col-xxl-12 col-sm-12">
        <div class="card">
          <div class="card-header">
            <h4 class="card-title">{{__('site.add_sub_account')}}</h4>
          </div>
          <div class="card-body">
            <div class="basic-form">
              <form class="validate_form" action="{{ route('accountmanager.subaccount.register') }}" method="POST">
                @csrf
                <div class="form-row">
                  <div class="form-group col-md-6">
                    <label>{{__('site.first_name')}}</label>
                    <input type="text" id="first_name" name="first_name" class="form-control" placeholder="{{__('site.first_name')}}" required>
                    @if ($errors->has('first_name'))
                    <span class="text-danger">{{ $errors->first('first_name') }}</span>
                    @endif
                  </div>
                  <div class="form-group col-md-6">
                    <label>{{__('site.last_name')}}</label>
                    <input type="text" id="last_name" name="last_name" class="form-control" placeholder="{{__('site.last_name')}}" required>
                    @if ($errors->has('last_name'))
                    <span class="text-danger">{{ $errors->first('last_name') }}</span>
                    @endif
                  </div>
                  <div class="form-group col-md-6">
                    <label>{{__('site.email')}}</label>
                    <input type="email" id="email" name="email" class="form-control" placeholder="{{__('site.email')}}" required>
                    @if ($errors->has('email'))
                    <span class="text-danger">{{ $errors->first('email') }}</span>
                    @endif
                  </div>
                  <div class="form-group col-md-6">
                    <label>{{__('site.password')}}</label>
                    <input type="password" id="password" name="password" class="form-control" placeholder="{{__('site.password')}}" required>
                    @if ($errors->has('password'))
                    <span class="text-danger">{{ $errors->first('password') }}</span>
                    @endif
                  </div>
                  <div class="form-group col-md-4">
                    <label>{{__('site.mobile_no')}}</label>
                    <input type="text" id="mobile" name="mobile" class="form-control" placeholder="{{__('site.mobile_no')}}" required>
                    @if ($errors->has('mobile'))
                    <span class="text-danger">{{ $errors->first('mobile') }}</span>
                    @endif
                  </div>
                  <div class="form-group col-md-6">
                    <label>{{__('site.company_name')}}</label>
                    <input type="text" id="company_name" name="company_name" class="form-control" placeholder="{{__('site.company_name')}}" required>
                    @if ($errors->has('company_name'))
                    <span class="text-danger">{{ $errors->first('company_name') }}</span>
                    @endif
                  </div>
                  <div class="form-group col-md-2">
                    <label>{{__('site.sms_limit')}}</label>
                    <input type="number" id="sms_limit" name="sms_limit" min="0" class="form-control" placeholder="000000" required>
                    @if ($errors->has('sms_limit'))
                    <span class="text-danger">{{ $errors->first('sms_limit') }}</span>
                    @endif
                  </div>
                </div>

                <div class="form-row">
                  <div class="form-group col-md-4">
                    <label>{{__('site.client')}}</label>
                    <select id="inputState" name="client_id" class="light btn-rounded form-control default-select selectoin">
                      <option selected>{{__('site.choose')}}</option>
                      @foreach($clients as $client)
                      <option value="{{$client->id}}">{{$client->first_name . ' ' . $client->last_name}}</option>
                      @endforeach
                    </select>
                  </div>
                  <div class="form-group col-md-4">
                    <label>{{__('site.masking')}}</label>
                    <select id="inputState" name="masking_id" class="light btn-rounded form-control default-select selectoin">
                      <option selected>{{__('site.choose')}}</option>
                      @foreach($masking as $masking)
                      <option value="{{$masking->id}}">{{$masking->masking}}</option>
                      @endforeach
                    </select>
                  </div>
                  <div class="form-group col-md-4">
                    <label>{{__('site.tenure')}}</label>
                    <select id="inputState" name="tenure" class="light btn-rounded form-control default-select selectoin">
                      <option selected>{{__('site.choose')}}</option>
                      <option value="1 Month">1 Month</option>
                      <option value="3 Month">3 Months</option>
                      <option value="6 Month">6 Months</option>
                      <option value="12 Month">12 Months</option>
                    </select>
                  </div>
                  <div class="form-group col-md-6" hidden>
                    <label>{{__('site.role')}}</label>
                    <input type="text" id="role_id" name="role_id" class="form-control" placeholder="{{__('site.role')}}" value="4" required>
                    @if ($errors->has('role_id'))
                    <span class="text-danger">{{ $errors->first('role_id') }}</span>
                    @endif
                  </div>
                  <div class="form-group col-md-6" hidden>
                    <label>{{__('site.created_by')}}</label>
                    <input type="text" id="created_by" name="created_by" class="form-control" placeholder="{{__('site.created_by')}}" value="{{ auth()->guard('account_manager')->user()->role_id }}" required>
                    @if ($errors->has('created_by'))
                    <span class="text-danger">{{ $errors->first('created_by') }}</span>
                    @endif
                  </div>
                </div>
                <button class="btn btn-primary btn-sl-sm mr-2" type="submit"><span class="mr-2"><i class="fa fa-arrow-circle-right"></i></span>{{__('site.submit')}}</button>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

</div>
<!--**********************************
            Content body end
            ***********************************-->
@include('includes.portal.footer')