<!DOCTYPE html>
<html>
<head>
    <link rel="shortcut icon" href="{{ asset('assets/images/favicon.png') }}">
    <style type="text/css">
        body{
            background-color: #222;
        }
        .signup-form{
            width: 100%;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            height: 70vh;
            text-align: center;
        }

        .signup-form .form-wrapper{
            background-color: #2b2a33;
            padding: 20px 40px;
            border-radius: 20px;
        }


        .signup-form h5{
            color: #f6921e;
            font-size: 35px;
            font-family: poppins;
            margin: 20px 0;
        }

        .signup-form .form-wrapper .form-control{
            padding: 10px;
            margin: 10px 0;
            min-width: 400px;
            max-width: 100%;
            border-radius: 10px;
            outline: 0;
            font-size: 16px;
            font-family: poppins;
        }

        .signup-form .form-wrapper .checkbox,.signup-form .form-wrapper .text-muted{
            color: #ffffff;
            font-size: 14px;
            font-family: poppins;
        }

        .signup-form .form-wrapper .btn-block{
            width: 100%;
            padding: 10px;
            border-radius: 10px;
            background-color: #f6921e;
            font-family: poppins;
            font-size: 16px;
            margin: 10px 0;
            font-weight: bold;
            cursor: pointer;
            outline: 0;
            border: 0;
        }

        .logo{
            width: 100%;
            display: flex;
            justify-content: center;
            text-align: center;
            padding-top: 40px;
        }

        .logo img{
            width: 200px;
            max-width: 100%;
        }

        .si_link{
            color: #f6921e;
            font-family: poppins;
            font-size: 16px;
        }
    </style>
</head>

<body class="form-membership">
    <div class="logo">
        <a class="navbar-brand" href="#ev-home"><img src="{{ asset('assets/images/logo.png') }}" alt="" class="img-fluid"></a>
    </div>
    <main class="signup-form">
        <div class="form-wrapper">



            <h5>{{ __('site.register_user') }}</h5>

            <!-- form -->
            <form action="{{ route('admin.register.custom') }}" method="POST">
                @csrf
                <div class="form-group">
                    <input type="text" placeholder="{{ __('site.first_name') }}" id="first_name" class="form-control" name="first_name"
                    required autofocus>
                    @if ($errors->has('name'))
                    <span class="text-danger">{{ $errors->first('name') }}</span>
                    @endif
                </div>
                <div class="form-group">
                    <input type="text" placeholder="{{ __('site.last_name') }}" id="last_name" class="form-control" name="last_name"
                    required autofocus>
                    @if ($errors->has('name'))
                    <span class="text-danger">{{ $errors->first('name') }}</span>
                    @endif
                </div>
                <div class="form-group">
                 <input type="text" placeholder="{{ __('site.email') }}" id="email_address" class="form-control"
                 name="email" required autofocus>
                 @if ($errors->has('email'))
                 <span class="text-danger">{{ $errors->first('email') }}</span>
                 @endif
             </div>
             <div class="form-group">
                 <input type="text" placeholder="{{ __('site.mobile') }}" id="mobile" class="form-control"
                 name="mobile" required autofocus>
                 @if ($errors->has('email'))
                 <span class="text-danger">{{ $errors->first('mobile') }}</span>
                 @endif
             </div>
             <div class="form-group">
                <input type="hidden" placeholder="{{ __('site.role') }}" id="role_id" class="form-control"
                name="role_id" value="1">

            </div>
            <div class="form-group">
               <input type="password" placeholder="{{ __('site.password') }}" id="password" class="form-control"
               name="password" required>
               @if ($errors->has('password'))
               <span class="text-danger">{{ $errors->first('password') }}</span>
               @endif
           </div>
           <div class="form-group">
               <div class="checkbox">
                <label><input type="checkbox" name="remember"> {{ __('site.remember_me') }}</label>
            </div>
        </div>
        <button type="submit" class="btn btn-primary btn-block">{{ __('site.register') }}</button>
        <hr>
        <p class="text-muted">{{ __('site.already_have_account') }}</p>
        <a href="{{ route('admin') }}" class="btn btn-outline-light btn-sm si_link">{{ __('site.signin') }}</a>
    </form>
    <!-- ./ form -->

</div>

</main>
</body>

</html>
