<?php
$title = (__('site.edit_client'));
?>
@include('includes.portal.header')
@include('includes.portal.sidebar')
<!--**********************************
            Content body start
            ***********************************-->
<div class="content-body">
  <!-- row -->
  <!-- row -->
  <div class="container-fluid">
    <div class="row">
      <div class="col-xl-12 col-xxl-12 col-sm-12">
        <div class="card">
          <div class="card-header">
            <h4 class="card-title">{{__('site.edit_client')}}</h4>
          </div>
          <div class="card-body">
            <div class="basic-form">
              <form class="validate_form" action="{{ route('admin.client.edit' , $client->id) }}" method="POST">
                @csrf
                <div class="form-row">
                  <div class="form-group col-md-6">
                    <label>{{__('site.first_name')}}</label>
                    <input type="text" class="form-control" name="first_name" id="first_name" placeholder="{{__('site.first_name')}}" value="{{ old('first_name' , isset($client) ? $client->first_name : null) }}" required>
                    @if ($errors->has('first_name'))
                    <span class="text-danger">{{ $errors->first('first_name') }}</span>
                    @endif
                  </div>
                  <div class="form-group col-md-6">
                    <label>{{__('site.last_name')}}</label>
                    <input type="text" class="form-control" id="last_name" name="last_name" placeholder="{{__('site.last_name')}}" value="{{ old('last_name' , isset($client) ? $client->last_name : null) }}" required>
                    @if ($errors->has('last_name'))
                    <span class="text-danger">{{ $errors->first('last_name') }}</span>
                    @endif
                  </div>
                  <div class="form-group col-md-6">
                    <label>{{__('site.email')}}</label>
                    <input type="email" class="form-control" id="email" name="email" placeholder="{{__('site.email')}}" value="{{ old('email' , isset($client) ? $client->email : null) }}" required>
                    @if ($errors->has('email'))
                    <span class="text-danger">{{ $errors->first('email') }}</span>
                    @endif
                  </div>
                  <div class="form-group col-md-6">
                    <label>{{__('site.password')}}</label>
                    <input type="password" class="form-control" id="password" name="password" placeholder="{{__('site.password')}}" required>
                    @if ($errors->has('password'))
                    <span class="text-danger">{{ $errors->first('password') }}</span>
                    @endif
                  </div>
                  <div class="form-group col-md-6">
                    <label>{{__('site.mobile_no')}}</label>
                    <input type="text" class="form-control" id="mobile" name="mobile" placeholder="{{__('site.mobile_no')}}" value="{{ old('mobile' , isset($client) ? $client->mobile : null) }}" required>
                    @if ($errors->has('mobile'))
                    <span class="text-danger">{{ $errors->first('mobile') }}</span>
                    @endif
                  </div>
                  <div class="form-group col-md-4">
                    <label>{{__('site.sms_limit')}}</label>
                    <input type="number" class="form-control" id="sms_limit" name="sms_limit" placeholder="000" min="0" value="{{ old('sms_limit' , isset($client) ? $client->sms_limit : null) }}" required>
                    @if ($errors->has('sms_limit'))
                    <span class="text-danger">{{ $errors->first('sms_limit') }}</span>
                    @endif
                  </div>
                  <div class="form-group col-md-4">
                    <label>{{__('site.account_manager')}}</label>
                    <select id="account_manager_id" name="account_manager_id" class="light btn-rounded form-control default-select selectoin" required>
                      <option value="select">{{__('site.choose')}}</option>
                      @foreach($account_managers as $accountmanager)
                      <option value="{{$accountmanager->id}}" @if(isset($accountmanager) && $accountmanager->id == $accountmanager->id) {{'selected'}} @endif>{{$accountmanager->first_name. ' ' . $accountmanager->last_name}}</option>
                      @endforeach
                    </select>
                    @if ($errors->has('account_manager_id'))
                    <span class="text-danger">{{ $errors->first('account_manager_id') }}</span>
                    @endif
                  </div>
                  <div class="form-group col-md-4">
                    <label>{{__('site.tenure')}}</label>
                    <select id="tenure" name="tenure" class="light btn-rounded form-control default-select selectoin" required>
                      <option value="select">{{__('site.choose')}}</option>
                      <option value="1 Month" @if(isset($client) && $client->tenure == '1 Month') {{'selected'}} @endif >1 Month</option>
                      <option value="3 Month" @if(isset($client) && $client->tenure == '3 Month') {{'selected'}} @endif >3 Months</option>
                      <option value="6 Month" @if(isset($client) && $client->tenure == '6 Month') {{'selected'}} @endif >6 Months</option>
                      <option value="12 Month" @if(isset($client) && $client->tenure == '12 Month') {{'selected'}} @endif >12 Months</option>
                    </select>
                    @if ($errors->has('tenure'))
                    <span class="text-danger">{{ $errors->first('tenure') }}</span>
                    @endif
                  </div>
                  <div class="form-group col-md-6" hidden>
                    <label>{{__('site.role')}}</label>
                    <input type="text" id="role_id" name="role_id" class="form-control" placeholder="{{__('site.role')}}" value="3" required>
                    @if ($errors->has('role_id'))
                    <span class="text-danger">{{ $errors->first('role_id') }}</span>
                    @endif
                  </div>
                  <div class="form-group col-md-6" hidden>
                    <label>{{__('site.created_by')}}</label>
                    <input type="text" id="created_by" name="created_by" class="form-control" placeholder="{{__('site.created_by')}}" value="{{ auth()->guard('admin')->user()->role_id }}" required>
                    @if ($errors->has('created_by'))
                    <span class="text-danger">{{ $errors->first('created_by') }}</span>
                    @endif
                  </div>
                </div>
                <button class="btn btn-primary btn-sl-sm mr-2" type="submit"><span class="mr-2"><i class="fa fa-arrow-circle-right"></i></span>{{__('site.submit')}}</button>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

</div>
<!--**********************************
            Content body end
            ***********************************-->
@include('includes.portal.footer')