<?php
$title = (__('site.edit_group'));
?>
@include('includes.portal.header')
@include('includes.portal.sidebar')
<!--**********************************
            Content body start
            ***********************************-->
<div class="content-body">
  <!-- row -->
  <!-- row -->
  <div class="container-fluid">
    <div class="row">
      <div class="col-xl-12 col-xxl-12 col-sm-12">
        <div class="card">
          <div class="card-header">
            <h4 class="card-title">{{__('site.edit_group')}}</h4>
          </div>
          <div class="card-body">
            <div class="basic-form">
              <form class="validate_form" action="{{ route('admin.group.edit' , $group->id) }}" method="POST">
                @csrf
                <div class="form-row">
                  <div class="form-group col-md-6">
                    <label>{{__('site.group_name')}}</label>
                    <input type="text" id="name" name="name" class="form-control" placeholder="{{__('site.group_placeholder')}}" value="{{ old('name' , isset($group) ? $group->name : null) }}" required>
                    @if ($errors->has('name'))
                    <span class="text-danger">{{ $errors->first('name') }}</span>
                    @endif
                  </div>

                  <div class="form-group col-md-6">
                    <label>{{__('site.account_manager')}}</label>
                    <select id="inputState" name="account_manager_id" class="light btn-rounded form-control default-select selectoin">
                      <option selected>{{__('site.choose')}}</option>
                      @foreach($accountmanagers as $accountmanager)
                      <option value="{{$accountmanager->id}}" @if(isset($accountmanager) && $group->account_manager_id == $accountmanager->id) {{'selected'}} @endif>{{$accountmanager->first_name . ' ' . $accountmanager->last_name}}</option>
                      @endforeach
                    </select>
                  </div>

                  <div class="form-group col-md-6">
                    <label>{{__('site.client')}}</label>
                    <select id="inputState" name="client_id" class="light btn-rounded form-control default-select selectoin">
                      <option selected>{{__('site.choose')}}</option>
                      @foreach($clients as $client)
                      <option value="{{$client->id}}" @if(isset($client) && $group->client_id == $client->id) {{'selected'}} @endif>{{$client->first_name . ' ' . $client->last_name}}</option>
                      @endforeach
                    </select>
                  </div>

                  <div class="form-group col-md-6">
                    <label>{{__('site.sub_account')}}</label>
                    <select id="inputState" name="sub_account_id" class="light btn-rounded form-control default-select selectoin">
                      <option selected>{{__('site.choose')}}</option>
                      @foreach($subaccounts as $subaccount)
                      <option value="{{$subaccount->id}}" @if(isset($subaccount) && $group->sub_account_id == $subaccount->id) {{'selected'}} @endif>{{$subaccount->first_name . ' ' . $subaccount->last_name}}</option>
                      @endforeach
                    </select>
                  </div>

                  <div class="form-group col-md-6" hidden>
                    <label>{{__('site.role')}}</label>
                    <input type="text" id="role_id" name="role_id" class="form-control" placeholder="{{__('site.role')}}" value="1" required>
                    @if ($errors->has('role_id'))
                    <span class="text-danger">{{ $errors->first('role_id') }}</span>
                    @endif
                  </div>
                  <div class="form-group col-md-6" hidden>
                    <label>{{__('site.created_by')}}</label>
                    <input type="text" id="created_by" name="created_by" class="form-control" placeholder="{{__('site.created_by')}}" value="{{ auth()->guard('admin')->user()->role_id }}" required>
                    @if ($errors->has('created_by'))
                    <span class="text-danger">{{ $errors->first('created_by') }}</span>
                    @endif
                  </div>
                </div>
                <button class="btn btn-primary btn-sl-sm mr-2" type="submit"><span class="mr-2"><i class="fa fa-arrow-circle-right"></i></span>{{__('site.submit')}}</button>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

</div>
<!--**********************************
            Content body end
            ***********************************-->
@include('includes.portal.footer')