<?php
$title = (__('site.edit_masking'));
?>
@include('includes.portal.header')
@include('includes.portal.sidebar')
<!--**********************************
            Content body start
            ***********************************-->
<div class="content-body">
  <!-- row -->
  <!-- row -->
  <div class="container-fluid">
    <div class="row">
      <div class="col-xl-12 col-xxl-12 col-sm-12">
        <div class="card">
          <div class="card-header">
            <h4 class="card-title">{{__('site.edit_masking')}}</h4>
          </div>
          <div class="card-body">
            <div class="basic-form">
              <form class="validate_form" action="{{ route('admin.masking.edit' , $masking->id) }}" method="POST">
                @csrf
                <div class="form-row">
                  <div class="form-group col-md-6">
                    <label>{{__('site.masking_name')}}</label>
                    <input type="text" id="masking" name="masking" class="form-control" placeholder="{{__('site.masking_name')}}" value="{{ old('masking' , isset($masking) ? $masking->masking : null) }}" required>
                    @if ($errors->has('masking'))
                    <span class="text-danger">{{ $errors->first('masking') }}</span>
                    @endif
                  </div>
                  <div class="form-group col-md-6">
                    <label>{{__('site.account_manager')}}</label>
                    <select id="inputState" name="account_manager_id" class="light btn-rounded form-control default-select selectoin">
                      <option selected>{{__('site.choose')}}</option>
                      @foreach($accountmanagers as $accountmanager)
                      <option value="{{$accountmanager->id}}" @if(isset($masking) && $masking->account_manager_id == $accountmanager->id) {{'selected'}} @endif>{{$accountmanager->first_name . ' ' . $accountmanager->last_name}}</option>
                      @endforeach
                    </select>
                  </div>
                  <div class="form-group col-md-6">
                    <label>{{__('site.client')}}</label>
                    <select id="inputState" name="client_id" class="light btn-rounded form-control default-select selectoin">
                      <option selected>{{__('site.choose')}}</option>
                      @foreach($clients as $client)
                      <option value="{{$client->id}}" @if(isset($masking) && $masking->client_id == $client->id) {{'selected'}} @endif>{{$client->first_name . ' ' . $client->last_name}}</option>
                      @endforeach
                    </select>
                  </div>
                </div>
                <button class="btn btn-primary btn-sl-sm mr-2" type="submit"><span class="mr-2"><i class="fa fa-arrow-circle-right"></i></span>{{__('site.submit')}}</button>
            </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

</div>
<!--**********************************
            Content body end
            ***********************************-->
@include('includes.portal.footer')