<!DOCTYPE html>
<html>
<head>
    <link rel="shortcut icon" href="{{ asset('assets/images/favicon.png') }}">
    <style type="text/css">
        body{
            background-color: #222;
        }
        .login-form{
            width: 100%;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
            height: 60vh;
            text-align: center;
        }

        .login-form .form-wrapper{
            background-color: #2b2a33;
            padding: 20px 40px;
            border-radius: 20px;
        }


        .login-form h5{
            color: #f6921e;
            font-size: 35px;
            font-family: poppins;
            margin: 20px 0;
        }

        .login-form .form-wrapper .form-control{
            padding: 10px;
            margin: 10px 0;
            min-width: 400px;
            max-width: 100%;
            border-radius: 10px;
            outline: 0;
            font-size: 16px;
            font-family: poppins;
        }

        .login-form .form-wrapper .custom-checkbox{
            color: #ffffff;
            font-size: 14px;
            font-family: poppins;
        }

        .login-form .form-wrapper .btn-block{
            width: 100%;
            padding: 10px;
            border-radius: 10px;
            background-color: #f6921e;
            font-family: poppins;
            font-size: 16px;
            margin: 10px 0;
            font-weight: bold;
            cursor: pointer;
            outline: 0;
            border: 0;
        }

        .logo{
            width: 100%;
            display: flex;
            justify-content: center;
            text-align: center;
            padding-top: 40px;
        }
        .logo img{
            width: 200px;
            max-width: 100%;
        }
    </style>
    @if(session()->has('message'))
    <div id="toast-container">
        <div class="toast toast-success toast-top-center toast-title" id="successMessage">
            {{ session()->get('message') }}
        </div>
    </div>
    @endif
</head>

<body class="form-membership">
    <div class="logo">
        <a class="navbar-brand" href="#ev-home"><img src="{{ asset('assets/images/logo.png') }}" alt="" class="img-fluid"></a>
    </div>

    <main class="login-form">
        <div class="form-wrapper">


            <h5>{{ __('site.login') }}</h5>

            <!-- form -->
            <form method="POST" action="{{ route('login.custom') }}">
                @csrf
                <div class="form-group">
                    <input type="text" placeholder="{{ __('site.email') }}" id="email" class="form-control" name="email" required
                    autofocus>
                    @if ($errors->has('email'))
                    <span class="text-danger">{{ $errors->first('email') }}</span>
                    @endif
                </div>
                <div class="form-group">
                    <input type="password" placeholder="{{ __('site.password') }}" id="password" class="form-control" name="password" required>
                    @if ($errors->has('password'))
                    <span class="text-danger">{{ $errors->first('password') }}</span>
                    @endif
                </div>
                <div class="form-group d-flex justify-space-between">
                    <div class="custom-control custom-checkbox" style="padding-left: 0;">
                        <label>
                            <input type="checkbox" name="remember"> {{ __('site.remember_me') }}
                        </label>
                    </div>
                </div>
                <button type="submit" class="btn btn-primary btn-block">{{ __('site.login') }}</button>
            </form>
            <!-- ./ form -->

        </div>
    </main>
<!--     <main class="login-form">
        <div class="cotainer">
            <div class="row justify-content-center">
                <div class="col-md-4">
                    <div class="card">
                        <h3 class="card-header text-center">{{ __('site.login') }}</h3>
                        <div class="card-body">
                            <form method="POST" action="{{ route('login.custom') }}">
                                @csrf
                                <div class="form-group mb-3">
                                    <input type="text" placeholder="{{ __('site.login') }}" id="email" class="form-control" name="email" required
                                    autofocus>
                                    @if ($errors->has('email'))
                                    <span class="text-danger">{{ $errors->first('email') }}</span>
                                    @endif
                                </div>

                                <div class="form-group mb-3">
                                    <input type="password" placeholder="{{ __('site.password') }}" id="password" class="form-control" name="password" required>
                                    @if ($errors->has('password'))
                                    <span class="text-danger">{{ $errors->first('password') }}</span>
                                    @endif
                                </div>

                                <div class="form-group mb-3">
                                    <div class="checkbox">
                                        <label>
                                            <input type="checkbox" name="remember"> {{ __('site.remember_me') }}
                                        </label>
                                    </div>
                                </div>

                                <div class="d-grid mx-auto">
                                    <button type="submit" class="btn btn-dark btn-block">{{ __('site.login') }}</button>
                                </div>
                            </form>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main> -->
</body>

</html>
