<?php
$title = (__('site.edit_contact'));
?>
@include('includes.portal.client_header')
@include('includes.portal.client_sidebar')
<!--**********************************
            Content body start
            ***********************************-->
<div class="content-body">
  <!-- row -->
  <!-- row -->
  <div class="container-fluid">
    <div class="row">
      <div class="col-xl-12 col-xxl-12 col-sm-12">
        <div class="card">
          <div class="card-header">
            <h4 class="card-title">{{__('site.edit_contact')}}</h4>
          </div>
          <div class="card-body">
            <div class="basic-form">
              <form class="validate_form" action="{{ route('client.contact.edit' , $contact->id) }}" method="POST">
                @csrf
                <div class="form-row">
                  <div class="form-group col-md-6">
                    <label>{{__('site.first_name')}}</label>
                    <input type="text" id="first_name" name="first_name" class="form-control" placeholder="{{__('site.first_name')}}" value="{{ old('first_name' , isset($contact) ? $contact->first_name : null) }}" required>
                    @if ($errors->has('first_name'))
                    <span class="text-danger">{{ $errors->first('first_name') }}</span>
                    @endif
                  </div>
                  <div class="form-group col-md-6">
                    <label>{{__('site.last_name')}}</label>
                    <input type="text" id="last_name" name="last_name" class="form-control" placeholder="{{__('site.last_name')}}" value="{{ old('last_name' , isset($contact) ? $contact->last_name : null) }}" required>
                    @if ($errors->has('last_name'))
                    <span class="text-danger">{{ $errors->first('last_name') }}</span>
                    @endif
                  </div>
                  <div class="form-group col-md-6">
                    <label>{{__('site.email')}}</label>
                    <input type="email" id="email" name="email" class="form-control" placeholder="{{__('site.email')}}" value="{{ old('email' , isset($contact) ? $contact->email : null) }}" required>
                    @if ($errors->has('email'))
                    <span class="text-danger">{{ $errors->first('email') }}</span>
                    @endif
                  </div>
                  <div class="form-group col-md-6">
                    <label>{{__('site.mobile_no')}}</label>
                    <input type="text" id="mobile" name="mobile" class="form-control" placeholder="{{__('site.mobile_no')}}" value="{{ old('mobile' , isset($contact) ? $contact->mobile : null) }}" required>
                    @if ($errors->has('mobile'))
                    <span class="text-danger">{{ $errors->first('mobile') }}</span>
                    @endif
                  </div>
                </div>
                <div class="form-row">
                  <div class="form-group col-md-6">
                    <label>{{__('site.select_group')}}</label>
                    <select id="inputState" name="group_id" class="light btn-rounded form-control default-select selectoin">
                      <option selected>{{__('site.choose')}}</option>
                      @foreach($groups as $group)
                      <option value="{{$group->id}}" @if(isset($group) && $contact->group_id == $group->id) {{'selected'}} @endif>{{$group->name}}</option>
                      @endforeach
                    </select>
                  </div>

                  <div class="form-group col-md-6" hidden>
                    <label>{{__('site.account_manager_id')}}</label>
                    <input type="text" id="account_manager_id" name="account_manager_id" class="form-control" placeholder="{{__('site.account_manager_id')}}" value="{{ auth()->guard('client')->user()->account_manager_id }}" required>
                    @if ($errors->has('account_manager_id'))
                    <span class="text-danger">{{ $errors->first('account_manager_id') }}</span>
                    @endif
                  </div>
                  <div class="form-group col-md-6" hidden>
                    <label>{{__('site.client_id')}}</label>
                    <input type="text" id="client_id" name="client_id" class="form-control" placeholder="{{__('site.client_id')}}" value="{{ auth()->guard('client')->user()->id }}" required>
                    @if ($errors->has('client_id'))
                    <span class="text-danger">{{ $errors->first('client_id') }}</span>
                    @endif
                  </div>

                  <div class="form-group col-md-6">
                    <label>{{__('site.sub_account')}}</label>
                    <select id="inputState" name="sub_account_id" class="light btn-rounded form-control default-select selectoin">
                      <option selected>{{__('site.choose')}}</option>
                      @foreach($subaccounts as $subaccount)
                      <option value="{{$subaccount->id}}" @if(isset($subaccount) && $contact->sub_account_id == $subaccount->id) {{'selected'}} @endif>{{$subaccount->first_name . ' ' . $subaccount->last_name}}</option>
                      @endforeach
                    </select>
                  </div>

                  <div class="form-group col-md-6" hidden>
                    <label>{{__('site.role')}}</label>
                    <input type="text" id="role_id" name="role_id" class="form-control" placeholder="{{__('site.role')}}" value="1" required>
                    @if ($errors->has('role_id'))
                    <span class="text-danger">{{ $errors->first('role_id') }}</span>
                    @endif
                  </div>

                  <div class="form-group col-md-6" hidden>
                    <label>{{__('site.created_by')}}</label>
                    <input type="text" id="created_by" name="created_by" class="form-control" placeholder="{{__('site.created_by')}}" value="{{ auth()->guard('client')->user()->role_id }}" required>
                    @if ($errors->has('created_by'))
                    <span class="text-danger">{{ $errors->first('created_by') }}</span>
                    @endif
                  </div>
                </div>
                <button class="btn btn-primary btn-sl-sm mr-2" type="submit"><span class="mr-2"><i class="fa fa-arrow-circle-right"></i></span>{{__('site.submit')}}</button>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

</div>
<!--**********************************
            Content body end
            ***********************************-->
@include('includes.portal.footer')