<!DOCTYPE html>
<html>
<head>
    <title>{{__('site.demo_account')}} | {{__('site.SMS_Portal')}}</title>
    <link rel="shortcut icon" href="{{ asset('assets/images/favicon.png') }}">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.0.0/css/font-awesome.css" integrity="sha512-72McA95q/YhjwmWFMGe8RI3aZIMCTJWPBbV8iQY3jy1z9+bi6+jHnERuNrDPo/WGYEzzNs4WdHNyyEr/yXJ9pA==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="stylesheet" href="{{ asset('assets/portal/css/login.css') }}">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js" integrity="sha512-894YE6QWD5I59HgZOGReFYm4dnWc1Qt5NtvYSaNcOP+u1T9qYdvdihz0PPSiiqn/+/3e7Jo4EaG7TubfWGUrMQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>

    @if(session()->has('message'))
    <div class="toast-container">
        <div class="toast toast-success" id="successMessage">
         <i class="fa fa-check-square-o"></i> {{session()->get('message') }}
        </div>
    </div>
    @endif

</head>

<body class="form-membership">
    <div class="logo">
        <a class="navbar-brand" href="#ev-home"><img src="{{ asset('assets/images/logo.png') }}" alt="" class="img-fluid"></a>
    </div>

    <main class="login-form">
        <div class="form-wrapper">


            <h5>{{ __('site.demo_account_login') }}</h5>

            <!-- form -->
            <form method="POST" action="{{ route('demoaccount.login.custom') }}">
                @csrf
                <div class="form-group">
                    <input type="text" placeholder="{{ __('site.email') }}" id="email" class="form-control" name="email" required
                    autofocus>
                    @if ($errors->has('email'))
                    <span class="text-danger">{{ $errors->first('email') }}</span>
                    @endif
                </div>
                <div class="form-group">
                    <input type="password" placeholder="{{ __('site.password') }}" id="password" class="form-control" name="password" required>
                    @if ($errors->has('password'))
                    <span class="text-danger">{{ $errors->first('password') }}</span>
                    @endif
                </div>
                <div class="form-group d-flex justify-space-between">
                    <div class="custom-control custom-checkbox" style="padding-left: 0;">
                        <label>
                            <input type="checkbox" name="remember"> {{ __('site.remember_me') }}
                        </label>
                    </div>
                </div>
                <button type="submit" class="btn btn-primary btn-block">{{ __('site.login') }}</button>
            </form>

        <li hidden><a href="{{ route('admin.auth.registration') }}" class="">{{__('site.admin_register')}}</a></li>

            <!-- ./ form -->

        </div>
    </main>
    <script>
        $(document).ready(function(){
            setTimeout(function(){
                $('.toast-container').fadeOut();
            },3000)    
        })
    </script>
</body>

</html>
