<?php

use App\Http\Controllers\DemoAccount\DemoAccountAuthController;
use App\Http\Controllers\DemoAccount\DemoAccountBlacklistController;
use App\Http\Controllers\DemoAccount\DemoAccountComplaintsAndFeedbackController;
use App\Http\Controllers\DemoAccount\DemoAccountContactController;
use App\Http\Controllers\DemoAccount\DemoAccountDashboardController;
use App\Http\Controllers\DemoAccount\DemoAccountLogsController;
use App\Http\Controllers\DemoAccount\DemoAccountProfileController;
use App\Http\Controllers\DemoAccount\DemoAccountSmsController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


// Demo Account Login And Registration
Route::get('/', [DemoAccountAuthController::class, 'index'])->name('demoaccount');
Route::post('custom-login', [DemoAccountAuthController::class, 'customLogin'])->name('demoaccount.login.custom');
Route::get('signout', [DemoAccountAuthController::class, 'signOut'])->name('demoaccount.signout');

Route::middleware(\App\Http\Middleware\DemoAccountAuthMiddleware::class)->group(function(){

    // Demo Account Dashboard
    Route::get('dashboard', [DemoAccountDashboardController::class, 'index'])->name('demoaccount.dashboard');

    // Demo Account Profile
    Route::get('profile', [DemoAccountProfileController::class, 'index'])->name('demoaccount.profile');

    // Demo Account SMS
    Route::get('sms/compose', [DemoAccountSmsController::class, 'compose'])->name('demoaccount.sms.compose');
    Route::get('sms/sent-items', [DemoAccountSmsController::class, 'sent_items'])->name('demoaccount.sms.sent-items');

    // Demo Account Contacts
    Route::get('contact/add-contact', [DemoAccountContactController::class, 'index'])->name('demoaccount.contact.add-contact');
    Route::get('contact/view-contact', [DemoAccountContactController::class, 'view'])->name('demoaccount.contact.view-contact');
    Route::get('contact/edit-contact', [DemoAccountContactController::class, 'edit'])->name('demoaccount.contact.edit-contact');
    Route::get('contact/detail-contact', [DemoAccountContactController::class, 'detail'])->name('demoaccount.contact.detail-contact');
    Route::get('contact/import-contact', [DemoAccountContactController::class, 'importcontactview'])->name('demoaccount.contact.import-contact');

    // Demo Account Logs
    Route::get('logs/demo-account-logs', [DemoAccountLogsController::class, 'demoaccountlogs'])->name('demoaccount.logs.demo-account-logs');

    // Demo Account Blacklist
    Route::get('blacklist/view-demo-account-blacklist', [DemoAccountBlacklistController::class, 'demoaccountsblacklist'])->name('demoaccount.blacklist.view-demo-account-blacklist');
    Route::get('blacklist/detail-blacklist', [DemoAccountBlacklistController::class, 'detail'])->name('demoaccount.blacklist.detail-blacklist');

    // Demo Account Complains And Feedback
    Route::get('complaintsandfeedback/demo-account-feedback', [DemoAccountComplaintsAndFeedbackController::class, 'demoaccountfeedback'])->name('demoaccount.complaintsandfeedback.demo-account-feedback');
    Route::get('complaintsandfeedback/detail-feedback', [DemoAccountComplaintsAndFeedbackController::class, 'detail'])->name('demoaccount.complaintsandfeedback.detail-feedback');
});