<?php

use App\Http\Controllers\SubAccount\SubAccountAuthController;
use App\Http\Controllers\SubAccount\SubAccountBlacklistController;
use App\Http\Controllers\SubAccount\SubAccountComplaintsAndFeedbackController;
use App\Http\Controllers\SubAccount\SubAccountContactController;
use App\Http\Controllers\SubAccount\SubAccountDashboardController;
use App\Http\Controllers\SubAccount\SubAccountGroupController;
use App\Http\Controllers\SubAccount\SubAccountLogsController;
use App\Http\Controllers\SubAccount\SubAccountProfileController;
use App\Http\Controllers\SubAccount\SubAccountSmsController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


// Sub Account Login And Registration
Route::get('/', [SubAccountAuthController::class, 'index'])->name('subaccount');
Route::post('custom-login', [SubAccountAuthController::class, 'customLogin'])->name('subaccount.login.custom');
Route::get('signout', [SubAccountAuthController::class, 'signOut'])->name('subaccount.signout');

Route::middleware(\App\Http\Middleware\SubAccountAuthMiddleware::class)->group(function(){

    // Sub Account Dashboard
    Route::get('dashboard', [SubAccountDashboardController::class, 'index'])->name('subaccount.dashboard');

    // Sub Account Profile
    Route::get('profile', [SubAccountProfileController::class, 'index'])->name('subaccount.profile');

    // Sub Account SMS
    Route::get('sms/compose', [SubAccountSmsController::class, 'compose'])->name('subaccount.sms.compose');
    Route::get('sms/sent-items', [SubAccountSmsController::class, 'sent_items'])->name('subaccount.sms.sent-items');
    Route::get('sms/group-sms', [SubAccountSmsController::class, 'group_sms'])->name('subaccount.sms.group-sms');
    Route::get('sms/schedule-sms', [SubAccountSmsController::class, 'schedule_sms'])->name('subaccount.sms.schedule-sms');

    // Sub Account Groups
    Route::get('group/add-group', [SubAccountGroupController::class, 'index'])->name('subaccount.group.add-group');
    Route::get('group/view-group', [SubAccountGroupController::class, 'view'])->name('subaccount.group.view-group');
    Route::get('group/edit-group', [SubAccountGroupController::class, 'edit'])->name('subaccount.group.edit-group');
    Route::get('group/detail-group', [SubAccountGroupController::class, 'detail'])->name('subaccount.group.detail-group');

    // Sub Account Contacts
    Route::get('contact/add-contact', [SubAccountContactController::class, 'index'])->name('subaccount.contact.add-contact');
    Route::get('contact/view-contact', [SubAccountContactController::class, 'view'])->name('subaccount.contact.view-contact');
    Route::get('contact/edit-contact', [SubAccountContactController::class, 'edit'])->name('subaccount.contact.edit-contact');
    Route::get('contact/detail-contact', [SubAccountContactController::class, 'detail'])->name('subaccount.contact.detail-contact');
    Route::get('contact/import-contact', [SubAccountContactController::class, 'importcontactview'])->name('subaccount.contact.import-contact');

    // Sub Account Logs
    Route::get('logs/sub-account-logs', [SubAccountLogsController::class, 'subaccountlogs'])->name('subaccount.logs.sub-account-logs');

    // Sub Account Blacklist
    Route::get('blacklist/view-sub-account-blacklist', [SubAccountBlacklistController::class, 'subaccountsblacklist'])->name('subaccount.blacklist.view-sub-account-blacklist');
    Route::get('blacklist/detail-blacklist', [SubAccountBlacklistController::class, 'detail'])->name('subaccount.blacklist.detail-blacklist');

    // Sub Account Complains And Feedback
    Route::get('complaintsandfeedback/sub-account-feedback', [SubAccountComplaintsAndFeedbackController::class, 'subaccountfeedback'])->name('subaccount.complaintsandfeedback.sub-account-feedback');
    Route::get('complaintsandfeedback/detail-feedback', [SubAccountComplaintsAndFeedbackController::class, 'detail'])->name('subaccount.complaintsandfeedback.detail-feedback');
});