<!DOCTYPE html>
<html>
<head>
    <title><?php echo e(__('site.admin')); ?> | <?php echo e(__('site.SMS_Portal')); ?></title>
    <link rel="shortcut icon" href="<?php echo e(asset('assets/images/favicon.png')); ?>">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.0.0/css/font-awesome.css" integrity="sha512-72McA95q/YhjwmWFMGe8RI3aZIMCTJWPBbV8iQY3jy1z9+bi6+jHnERuNrDPo/WGYEzzNs4WdHNyyEr/yXJ9pA==" crossorigin="anonymous" referrerpolicy="no-referrer" />
    <link rel="stylesheet" href="<?php echo e(asset('assets/portal/css/login.css')); ?>">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js" integrity="sha512-894YE6QWD5I59HgZOGReFYm4dnWc1Qt5NtvYSaNcOP+u1T9qYdvdihz0PPSiiqn/+/3e7Jo4EaG7TubfWGUrMQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>


    <?php if(session()->has('message')): ?>
    <div class="toast-container">
        <div class="toast toast-success" id="successMessage">
         <i class="fa fa-check-square-o"></i> <?php echo e(session()->get('message')); ?>

        </div>
    </div>
    <?php endif; ?>

</head>

<body class="form-membership">
    <div class="logo">
        <a class="navbar-brand" href="#ev-home"><img src="<?php echo e(asset('assets/images/logo.png')); ?>" alt="" class="img-fluid"></a>
    </div>

    <main class="login-form">
        <div class="form-wrapper">


            <h5><?php echo e(__('site.admin_login')); ?></h5>

            <!-- form -->
            <form method="POST" action="<?php echo e(route('admin.login.custom')); ?>">
                <?php echo csrf_field(); ?>
                <div class="form-group">
                    <input type="text" placeholder="<?php echo e(__('site.email')); ?>" id="email" class="form-control" name="email" required
                    autofocus>
                    <?php if($errors->has('email')): ?>
                    <span class="text-danger"><?php echo e($errors->first('email')); ?></span>
                    <?php endif; ?>
                </div>
                <div class="form-group">
                    <input type="password" placeholder="<?php echo e(__('site.password')); ?>" id="password" class="form-control" name="password" required>
                    <?php if($errors->has('password')): ?>
                    <span class="text-danger"><?php echo e($errors->first('password')); ?></span>
                    <?php endif; ?>
                </div>
                <div class="form-group d-flex justify-space-between">
                    <div class="custom-control custom-checkbox" style="padding-left: 0;">
                        <label>
                            <input type="checkbox" name="remember"> <?php echo e(__('site.remember_me')); ?>

                        </label>
                    </div>
                </div>
                <button type="submit" class="btn btn-primary btn-block"><?php echo e(__('site.login')); ?></button>
            </form>

        <li hidden><a href="<?php echo e(route('admin.auth.registration')); ?>" class=""><?php echo e(__('site.admin_register')); ?></a></li>

            <!-- ./ form -->

        </div>
    </main>
    <script>
        $(document).ready(function(){
            setTimeout(function(){
                $('.toast-container').fadeOut();
            },3000)    
        })
    </script>
</body>

</html>
<?php /**PATH /home/ordclients/public_html/sms_portal/resources/views/admin/auth/login.blade.php ENDPATH**/ ?>